CREATE procedure [dbo].[srv_change_Professional_Base_CU] 
	-- Add the parameters for the stored procedure here
	@cod_conf varchar(64)
AS
BEGIN
declare @cod_conf_old varchar(64)
declare @data_chiusura varchar(128)
select top 1 @cod_conf_old= cod_conf_old from consulenzaunicafl.dbo.cbs_dbcontrattosei where cod_conf=@cod_conf
select top 1  @data_chiusura = trcom_dtinvio from consulenzaunicafl.dbo.cbs_histdatiingresso where trcom_codconf=@cod_conf_old and trcom_causale='RS6'
order by TRCOM_PRINVIO desc
update consulenzaunicafl.dbo.cbs_dbcontrattosei
set COD_CONF=@cod_conf_old ,  COD_CONF_OLD= null, tipoconsulenza='D',
data_chiusura_c6=@data_chiusura -- data trcom_invio con trcom_causale=RS6
from consulenzaunicafl.dbo.cbs_dbcontrattosei
where cod_conf=@cod_conf
END